<?php
//-----Создаем титл страницы-----//
$title = 'Доска почета';
//-----Подключаем функции-----//
require_once ('../system/function.php');
//-----Подключаем вверх-----//
require_once ('../system/header.php');
$act = isset($_GET['act']) ? $_GET['act'] : null;
switch($act)
{
default:
echo '<div class="title">Доска почета</div>';

if (empty($user['max'])) $user['max']=10;
$max = $user['max'];
$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `pochet`"),0);
$k_page = k_page($k_post,$max);
$page = page($k_page);
$start = $max*$page-$max;

$ked = mysql_query("SELECT * FROM `pochet` ORDER BY `id` DESC LIMIT $start,$max");
while($k = mysql_fetch_assoc($ked))
{
echo '<div class="links">'.nick($k['kto']).'<br />
<a href="/user/infop.php?id='.$k['id'].'">Подробнее</a>
</div>';
}

if($k_post < 1) {
echo '<div class="podmenu"><center><b>Доска почета пусто!</b></center></div>';
}

if ($k_page > 1) {
echo str(''.$HOME.'/user/pochet.php',$k_page,$page); // Вывод страниц
}

break;
case 'addpoch':
if(!$user['id'] or $user['level'] > 4) {
echo err($title, 'У вас не достаточно прав для просмотра данной страницы!');
require_once ('../system/footer.php'); exit;
}
$id = abs(intval($_GET['id']));
$adpoch = mysql_fetch_assoc(mysql_query("SELECT * FROM `users` WHERE `id` = '".$id."'"));



if(isset($_REQUEST['ok'])) {


$about = strong($_POST['about']);
$kom = strong($_POST['kom']);


if(empty($kom) or mb_strlen($kom) < 3) {
echo '<div class="podmenu"><center><b>Ошибка ввода ,минимум 3 символа!</b></center></div>';
require_once ('../system/footer.php');
exit();
}
mysql_query("INSERT INTO `lenta` SET `readlen` = '0', `time` = '".time()."', `komy` = '".$ank['id']."', `kto` = '".$user['id']."', `text` = 'добавил вас в [url=".$HOME."/user/infop.php?id=".$ank['id']."]доску почета[/url]'");
mysql_query("INSERT INTO `pochet` SET `about` = '".$about."', `kom` = '".$kom."', `add_poch` = '".$user['id']."', `time` = '".time()."', `kto` = '".$id."' ");
mysql_query('UPDATE `users` SET `rang` = "3" WHERE `id` = "'.$id.'"');
header('Location: /user/pochet.php');
exit();
}

$sql = mysql_fetch_assoc(mysql_query("SELECT * FROM `pochet` WHERE `kto` = '".$id."'"));

if($sql == 0) {
echo '<div class="podmenu">Вы желаете добавить на доску почета '.nick($id).' ?</div>
<div class="podmenu"><form action="" method="POST">
За что:<br /><textarea name="kom"></textarea><br />
<input type="submit" name="ok" value="Добавить" />
</form></div>';
} else {
echo '<div class="podmenu"><center><b>Этот пользователь уже на доске почета!!</b></center></div>';
}

break;
case 'dell':
if(!$user['id'] or $user['level'] < 1) {
echo err($title, 'У вас не достаточно прав для просмотра данной страницы!');
require_once ('../system/footer.php'); exit;
}
$id = abs(intval($_GET['id']));
$deked = mysql_fetch_assoc(mysql_query("SELECT * FROM `pochet` WHERE `kto` = '".$id."'"));
if($deked['id'] == 0 or $user['id'] == $id or $id == 1 or $deked['level'] >= $user['level']) {
echo err($title, 'У вас не достаточно прав для просмотра данной страницы!');
require_once ('../system/footer.php'); exit;
}
if($deked['id'] == 0) {
echo '<div class="podmenu"><center><b>Этот пользователь не на доске!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

if(isset($_REQUEST['ok'])) {
mysql_query("DELETE FROM `pochet` WHERE `kto` = '".$id."'");
mysql_query('UPDATE `users` SET `rang` = "0" WHERE `id` = "'.$id.'"');
header('Location: '.$HOME.'/user/pochet.php');
exit();
}

echo '<div class="podmenu">Вы действительно хотите убрать с доски почета '.nick($deked['kto']).'?
<br />
<a href="'.$HOME.'/dell'.$id.'?ok">Да</a></div>';

break;
}
//-----Подключаем низ-----//
require_once ('../system/footer.php');
?>